## go-color-selector go-color-selector |

## Functions

GOColor | go_color_selector_get_color ()
GtkWidget * | go_color_selector_new ()
void | go_color_selector_set_allow_alpha ()
gboolean | go_color_selector_set_color ()
GtkWidget * | go_selector_new_color ()

## Description

## Functions

### go_color_selector_get_color ()

    GOColor
    go_color_selector_get_color (GOSelector *selector,
                                 gboolean *is_auto);

#### Parameters

selector | a GOSelector |
is_auto | `TRUE` if the current selection was set by clicking on automatic palette item. | [out][optional]

#### Returns

current color selection of `selector` .

### go_color_selector_new ()

    GtkWidget *
    go_color_selector_new (GOColor initial_color,
                           GOColor default_color,
                           char const *color_group);

`go_color_selector_new` has been deprecated since version 0.9.6 and should not be used in newly-written code.

use `go_selector_new_color()`

Creates a new color selector, with `initial_color` selected. Palette will contain an automatic button, which can be used to select `default_color` . This widget supports color drag and drop.

#### Parameters

initial_color | initially selected color |
default_color | automatic color |
color_group | a GOColorGroup name |

#### Returns

a GtkWidget.

[transfer full]

### go_color_selector_set_allow_alpha ()

    void
    go_color_selector_set_allow_alpha (GOSelector *selector,
                                       gboolean allow_alpha);

Seta whether the custom colour selector should allow the use of opacity.

#### Parameters

selector | GOColorSelector |
allow_alpha | If `TRUE`, the selector will have an alpha channel. |

### go_color_selector_set_color ()

    gboolean
    go_color_selector_set_color (GOSelector *selector,
                                 GOColor color);

Sets current selection to `color` . An "activate" signal will be emitted.

#### Parameters

selector | GOColorSelector to change |
color | a GOColor |

#### Returns

`TRUE` if selection changed.

### go_selector_new_color ()

    GtkWidget *
    go_selector_new_color (GOColor initial_color,
                           GOColor default_color,
                           char const *color_group);

Creates a new color selector, with `initial_color` selected. Palette will contain an automatic button, which can be used to select `default_color` . This widget supports color drag and drop.

#### Parameters

initial_color | initially selected color |
default_color | automatic color |
color_group | a GOColorGroup name |

#### Returns

a GtkWidget.

[transfer full]

Since: 0.9.6